Skip to content
DocsOpenAPI spec

    Get Object Storage Key Details

    GET/v1/storage/keys/{key_id}

    Get details about an Object Storage Key. The secret access key is not included.

    Path ParametersExpand Collapse
    key_id: string
    ReturnsExpand Collapse
    ObjectStorageKey object { id, access_key, created_at, 5 more }

    Object Storage Key details. The secret access key is only returned when the key is created.

    id: string

    Unique identifier for the Object Storage Key.

    access_key: string

    S3 access key ID.

    created_at: string

    When the Object Storage Key was created.

    formatdate-time
    name: string

    Name of the Object Storage Key.

    project_id: string

    Project ID the Object Storage Key belongs to.

    region: RegionName

    Region the resource is in.

    One of the following:
    "us-sva-2"
    "us-wdc-1"

    Status of the resource.

    One of the following:
    "pending"
    "creating"
    "updating"
    "ready"
    "deleting"
    "deleted"
    "error"
    "suspended"
    updated_at: string

    When the Object Storage Key was updated.

    formatdate-time

    Get Object Storage Key Details

    curl https://api.nirvanalabs.io/v1/storage/keys/$KEY_ID \
        -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "access_key": "0555B35654AD1656D804",
      "created_at": "2025-01-01T00:00:00Z",
      "name": "ci-uploads",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "region": "us-sva-2",
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z"
    }
    Returns Examples
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "access_key": "0555B35654AD1656D804",
      "created_at": "2025-01-01T00:00:00Z",
      "name": "ci-uploads",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "region": "us-sva-2",
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z"
    }